<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/DocBook/DocBook/SummaryFormatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.DocBook.DocBook.SummaryFormatter</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">package <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Formatters.html" >Formatters</a>.<a href="../../DocBook.html" >DocBook</a>.<a href="../DocBook.html" >DocBook</a>
</div><div class="class-name">class SummaryFormatter

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Formatters/DocBook/__init__.py.html" target="detail">../Synopsis/Formatters/DocBook/__init__.py</a></div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.SummaryFormatter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line193" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="SummaryFormatter-inheritance" src="SummaryFormatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#SummaryFormatter-inheritance_map" />
<map name="SummaryFormatter-inheritance_map"><area alt="Scopes/Synopsis/Formatters/DocBook/DocBook/FormatterBase.html" href="FormatterBase.html" shape="rect" coords="20, 7, 351, 31" />
</map>
 <div class="doc">A SummaryFormatter.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_module">visit_module</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line218" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_class">visit_class</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line219" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="visit_function">visit_function</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line223" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_doc">process_doc</a>(<span class="variable">self</span>, <span class="variable">decl</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.SummaryFormatter.process_doc" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line196" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_declaration">visit_declaration</a>(<span class="variable">self</span>, <span class="variable">declaration</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.SummaryFormatter.visit_declaration" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line209" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_meta_module">visit_meta_module</a>(<span class="variable">self</span>, <span class="variable">meta</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.SummaryFormatter.visit_meta_module" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line220" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visit_enum">visit_enum</a>(<span class="variable">self</span>, <span class="variable">enum</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref4.html#Synopsis.Formatters.DocBook.DocBook.SummaryFormatter.visit_enum" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Formatters/DocBook/__init__.py.html#line225" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Attributes Inherited from FormatterBase">
<tr><td colspan="2" class="heading">Attributes Inherited from FormatterBase</td></tr>
<tr><td class="inherited"><a href="FormatterBase.html#processor" title="attribute FormatterBase.processor">processor</a>,
<a href="FormatterBase.html#output" title="attribute FormatterBase.output">output</a>,
<a href="FormatterBase.html#base_dir" title="attribute FormatterBase.base_dir">base_dir</a>,
<a href="FormatterBase.html#nested_modules" title="attribute FormatterBase.nested_modules">nested_modules</a>,
<a href="FormatterBase.html#secondary_index" title="attribute FormatterBase.secondary_index">secondary_index</a>,
<a href="FormatterBase.html#inheritance_graphs" title="attribute FormatterBase.inheritance_graphs">inheritance_graphs</a>,
<a href="FormatterBase.html#graph_color" title="attribute FormatterBase.graph_color">graph_color</a>,
<a href="FormatterBase.html#__scope" title="attribute FormatterBase.__scope">__scope</a>,
<a href="FormatterBase.html#__scopestack" title="attribute FormatterBase.__scopestack">__scopestack</a>,
<a href="FormatterBase.html#__indent" title="attribute FormatterBase.__indent">__indent</a>,
<a href="FormatterBase.html#__elements" title="attribute FormatterBase.__elements">__elements</a></td></tr></table>
<table width="100%" summary="Methods Inherited from FormatterBase">
<tr><td colspan="2" class="heading">Methods Inherited from FormatterBase</td></tr>
<tr><td class="inherited"><a href="FormatterBase.html#__init__" title="method FormatterBase.__init__">__init__</a>,
<a href="FormatterBase.html#scope" title="method FormatterBase.scope">scope</a>,
<a href="FormatterBase.html#push_scope" title="method FormatterBase.push_scope">push_scope</a>,
<a href="FormatterBase.html#pop_scope" title="method FormatterBase.pop_scope">pop_scope</a>,
<a href="FormatterBase.html#write" title="method FormatterBase.write">write</a>,
<a href="FormatterBase.html#start_element" title="method FormatterBase.start_element">start_element</a>,
<a href="FormatterBase.html#end_element" title="method FormatterBase.end_element">end_element</a>,
<a href="FormatterBase.html#write_element" title="method FormatterBase.write_element">write_element</a>,
<a href="FormatterBase.html#element" title="method FormatterBase.element">element</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:59 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
